diff --git a/src/backend/access/brin/brin_validate.c b/src/backend/access/brin/brin_validate.c
index 2b3a2cb..1f1011e 100644
--- a/src/backend/access/brin/brin_validate.c
+++ b/src/backend/access/brin/brin_validate.c
@@ -264,8 +264,8 @@ brinvalidate(Oid opclassoid)
 			continue;			/* got it */
 		ereport(INFO,
 				(errcode(ERRCODE_INVALID_OBJECT_DEFINITION),
-				 errmsg("brin operator class \"%s\" is missing support function %d",
-						opclassname, i)));
+		  errmsg("brin operator class \"%s\" is missing support function %d",
+				 opclassname, i)));
 		result = false;
 	}
 
diff --git a/src/backend/access/gin/ginvalidate.c b/src/backend/access/gin/ginvalidate.c
index 7518ede..0325083 100644
--- a/src/backend/access/gin/ginvalidate.c
+++ b/src/backend/access/gin/ginvalidate.c
@@ -243,8 +243,8 @@ ginvalidate(Oid opclassoid)
 			continue;			/* don't need both, see check below loop */
 		ereport(INFO,
 				(errcode(ERRCODE_INVALID_OBJECT_DEFINITION),
-				 errmsg("gin operator class \"%s\" is missing support function %d",
-						opclassname, i)));
+		   errmsg("gin operator class \"%s\" is missing support function %d",
+				  opclassname, i)));
 		result = false;
 	}
 	if (!opclassgroup ||
diff --git a/src/backend/access/gist/gistvalidate.c b/src/backend/access/gist/gistvalidate.c
index 190a3d2..ffd7fd6 100644
--- a/src/backend/access/gist/gistvalidate.c
+++ b/src/backend/access/gist/gistvalidate.c
@@ -261,8 +261,8 @@ gistvalidate(Oid opclassoid)
 			continue;			/* optional methods */
 		ereport(INFO,
 				(errcode(ERRCODE_INVALID_OBJECT_DEFINITION),
-				 errmsg("gist operator class \"%s\" is missing support function %d",
-						opclassname, i)));
+		  errmsg("gist operator class \"%s\" is missing support function %d",
+				 opclassname, i)));
 		result = false;
 	}
 
diff --git a/src/backend/access/hash/hashvalidate.c b/src/backend/access/hash/hashvalidate.c
index b9b7bb0..d8c5ed4 100644
--- a/src/backend/access/hash/hashvalidate.c
+++ b/src/backend/access/hash/hashvalidate.c
@@ -186,9 +186,9 @@ hashvalidate(Oid opclassoid)
 		{
 			ereport(INFO,
 					(errcode(ERRCODE_INVALID_OBJECT_DEFINITION),
-			errmsg("hash operator family \"%s\" lacks support function for operator %s",
-				   opfamilyname,
-				   format_operator(oprform->amopopr))));
+					 errmsg("hash operator family \"%s\" lacks support function for operator %s",
+							opfamilyname,
+							format_operator(oprform->amopopr))));
 			result = false;
 		}
 	}
diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index 4acc62a..24bd9be 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -4571,7 +4571,7 @@ heap_lock_tuple(Relation relation, HeapTuple tuple,
 	ItemId		lp;
 	Page		page;
 	Buffer		vmbuffer = InvalidBuffer;
-	BlockNumber	block;
+	BlockNumber block;
 	TransactionId xid,
 				xmax;
 	uint16		old_infomask,
@@ -5643,7 +5643,7 @@ static HTSU_Result
 heap_lock_updated_tuple_rec(Relation rel, ItemPointer tid, TransactionId xid,
 							LockTupleMode mode)
 {
-	HTSU_Result	result;
+	HTSU_Result result;
 	ItemPointerData tupid;
 	HeapTupleData mytup;
 	Buffer		buf;
@@ -6698,6 +6698,7 @@ heap_prepare_freeze_tuple(HeapTupleHeader tuple, TransactionId cutoff_xid,
 	if (tuple->t_infomask & HEAP_MOVED)
 	{
 		xid = HeapTupleHeaderGetXvac(tuple);
+
 		/*
 		 * For Xvac, we ignore the cutoff_xid and just always perform the
 		 * freeze operation.  The oldest release in which such a value can
@@ -8841,9 +8842,9 @@ heap_xlog_lock(XLogReaderState *record)
 	 */
 	if (xlrec->flags & XLH_LOCK_ALL_FROZEN_CLEARED)
 	{
-		RelFileNode	rnode;
+		RelFileNode rnode;
 		Buffer		vmbuffer = InvalidBuffer;
-		BlockNumber	block;
+		BlockNumber block;
 		Relation	reln;
 
 		XLogRecGetBlockTag(record, 0, &rnode, NULL, &block);
@@ -8914,9 +8915,9 @@ heap_xlog_lock_updated(XLogReaderState *record)
 	 */
 	if (xlrec->flags & XLH_LOCK_ALL_FROZEN_CLEARED)
 	{
-		RelFileNode	rnode;
+		RelFileNode rnode;
 		Buffer		vmbuffer = InvalidBuffer;
-		BlockNumber	block;
+		BlockNumber block;
 		Relation	reln;
 
 		XLogRecGetBlockTag(record, 0, &rnode, NULL, &block);
diff --git a/src/backend/access/heap/tuptoaster.c b/src/backend/access/heap/tuptoaster.c
index 31b0132..bbb2649 100644
--- a/src/backend/access/heap/tuptoaster.c
+++ b/src/backend/access/heap/tuptoaster.c
@@ -1667,7 +1667,7 @@ toast_delete_datum(Relation rel, Datum value)
 	HeapTuple	toasttup;
 	int			num_indexes;
 	int			validIndex;
-	SnapshotData	SnapshotToast;
+	SnapshotData SnapshotToast;
 
 	if (!VARATT_IS_EXTERNAL_ONDISK(attr))
 		return;
@@ -1734,7 +1734,7 @@ toastrel_valueid_exists(Relation toastrel, Oid valueid)
 	int			num_indexes;
 	int			validIndex;
 	Relation   *toastidxs;
-	SnapshotData	SnapshotToast;
+	SnapshotData SnapshotToast;
 
 	/* Fetch a valid index relation */
 	validIndex = toast_open_indexes(toastrel,
@@ -1819,7 +1819,7 @@ toast_fetch_datum(struct varlena * attr)
 	int32		chunksize;
 	int			num_indexes;
 	int			validIndex;
-	SnapshotData	SnapshotToast;
+	SnapshotData SnapshotToast;
 
 	if (!VARATT_IS_EXTERNAL_ONDISK(attr))
 		elog(ERROR, "toast_fetch_datum shouldn't be called for non-ondisk datums");
@@ -1998,7 +1998,7 @@ toast_fetch_datum_slice(struct varlena * attr, int32 sliceoffset, int32 length)
 	int32		chcpyend;
 	int			num_indexes;
 	int			validIndex;
-	SnapshotData	SnapshotToast;
+	SnapshotData SnapshotToast;
 
 	if (!VARATT_IS_EXTERNAL_ONDISK(attr))
 		elog(ERROR, "toast_fetch_datum_slice shouldn't be called for non-ondisk datums");
@@ -2094,7 +2094,7 @@ toast_fetch_datum_slice(struct varlena * attr, int32 sliceoffset, int32 length)
 	init_toast_snapshot(&SnapshotToast);
 	nextidx = startchunk;
 	toastscan = systable_beginscan_ordered(toastrel, toastidxs[validIndex],
-										 &SnapshotToast, nscankeys, toastkey);
+										&SnapshotToast, nscankeys, toastkey);
 	while ((ttup = systable_getnext_ordered(toastscan, ForwardScanDirection)) != NULL)
 	{
 		/*
diff --git a/src/backend/commands/variable.c b/src/backend/commands/variable.c
index 4ad8266..defafa5 100644
--- a/src/backend/commands/variable.c
+++ b/src/backend/commands/variable.c
@@ -776,7 +776,7 @@ assign_client_encoding(const char *newval, void *extra)
 		 */
 		ereport(ERROR,
 				(errcode(ERRCODE_INVALID_TRANSACTION_STATE),
-				 errmsg("cannot change client_encoding in a parallel worker")));
+			  errmsg("cannot change client_encoding in a parallel worker")));
 	}
 
 	/* We do not expect an error if PrepareClientEncoding succeeded */
diff --git a/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c b/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c
index 45dccb3..f1c843e 100644
--- a/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c
+++ b/src/backend/replication/libpqwalreceiver/libpqwalreceiver.c
@@ -129,7 +129,7 @@ libpqrcv_get_conninfo(void)
 {
 	PQconninfoOption *conn_opts;
 	PQconninfoOption *conn_opt;
-	PQExpBufferData	buf;
+	PQExpBufferData buf;
 	char	   *retval;
 
 	Assert(streamConn != NULL);
@@ -145,7 +145,7 @@ libpqrcv_get_conninfo(void)
 	/* build a clean connection string from pieces */
 	for (conn_opt = conn_opts; conn_opt->keyword != NULL; conn_opt++)
 	{
-		bool	obfuscate;
+		bool		obfuscate;
 
 		/* Skip debug and empty options */
 		if (strchr(conn_opt->dispchar, 'D') ||
diff --git a/src/backend/tsearch/spell.c b/src/backend/tsearch/spell.c
index c94268a..1b179fc 100644
--- a/src/backend/tsearch/spell.c
+++ b/src/backend/tsearch/spell.c
@@ -433,7 +433,7 @@ getNextFlagFromString(IspellDict *Conf, char **sflagset, char *sflag)
 	if (Conf->flagMode == FM_LONG && maxstep > 0)
 		ereport(ERROR,
 				(errcode(ERRCODE_CONFIG_FILE_ERROR),
-			errmsg("invalid affix flag \"%s\" with \"long\" flag value", sbuf)));
+		errmsg("invalid affix flag \"%s\" with \"long\" flag value", sbuf)));
 
 	*sflag = '\0';
 }
@@ -1263,8 +1263,8 @@ NIImportOOAffixes(IspellDict *Conf, const char *filename)
 				else if (STRNCMP(s, "default") != 0)
 					ereport(ERROR,
 							(errcode(ERRCODE_CONFIG_FILE_ERROR),
-						   errmsg("Ispell dictionary supports only \"default\", "
-								  "\"long\", and \"num\" flag value")));
+					   errmsg("Ispell dictionary supports only \"default\", "
+							  "\"long\", and \"num\" flag value")));
 			}
 		}
 
diff --git a/src/backend/utils/adt/jsonb.c b/src/backend/utils/adt/jsonb.c
index ab46823..987cfd1 100644
--- a/src/backend/utils/adt/jsonb.c
+++ b/src/backend/utils/adt/jsonb.c
@@ -1849,9 +1849,9 @@ jsonb_object_agg_transfn(PG_FUNCTION_ARGS)
 	single_scalar = false;
 
 	/*
-	 * values can be anything, including structured and null, so we treat
-	 * them as in json_agg_transfn, except that single scalars are always
-	 * pushed as WJB_VALUE items.
+	 * values can be anything, including structured and null, so we treat them
+	 * as in json_agg_transfn, except that single scalars are always pushed as
+	 * WJB_VALUE items.
 	 */
 
 	while ((type = JsonbIteratorNext(&it, &v, false)) != WJB_DONE)
diff --git a/src/backend/utils/adt/tsquery.c b/src/backend/utils/adt/tsquery.c
index ab4aa7c..c0a4a06 100644
--- a/src/backend/utils/adt/tsquery.c
+++ b/src/backend/utils/adt/tsquery.c
@@ -430,15 +430,16 @@ pushStop(TSQueryParserState state)
 
 #define STACKDEPTH	32
 
-typedef struct OperatorElement {
-	int8	op;
-	int16	distance;
+typedef struct OperatorElement
+{
+	int8		op;
+	int16		distance;
 } OperatorElement;
 
 static void
 pushOpStack(OperatorElement *stack, int *lenstack, int8 op, int16 distance)
 {
-	if (*lenstack == STACKDEPTH) /* internal error */
+	if (*lenstack == STACKDEPTH)	/* internal error */
 		elog(ERROR, "tsquery stack too small");
 
 	stack[*lenstack].op = op;
@@ -449,20 +450,20 @@ pushOpStack(OperatorElement *stack, int *lenstack, int8 op, int16 distance)
 
 static void
 cleanOpStack(TSQueryParserState state,
-		   OperatorElement *stack, int *lenstack, int8 op)
+			 OperatorElement *stack, int *lenstack, int8 op)
 {
-	int	opPriority = OP_PRIORITY(op);
+	int			opPriority = OP_PRIORITY(op);
 
-	while(*lenstack)
+	while (*lenstack)
 	{
 		/* NOT is right associative unlike to others */
 		if ((op != OP_NOT && opPriority > OP_PRIORITY(stack[*lenstack - 1].op)) ||
-			(op == OP_NOT && opPriority >=  OP_PRIORITY(stack[*lenstack - 1].op)))
+		(op == OP_NOT && opPriority >= OP_PRIORITY(stack[*lenstack - 1].op)))
 			break;
 
 		(*lenstack)--;
 		pushOperator(state, stack[*lenstack].op,
-							stack[*lenstack].distance);
+					 stack[*lenstack].distance);
 	}
 }
 
@@ -480,7 +481,7 @@ makepol(TSQueryParserState state,
 	ts_tokentype type;
 	int			lenval = 0;
 	char	   *strval = NULL;
-	OperatorElement	opstack[STACKDEPTH];
+	OperatorElement opstack[STACKDEPTH];
 	int			lenstack = 0;
 	int16		weight = 0;
 	bool		prefix;
@@ -503,7 +504,7 @@ makepol(TSQueryParserState state,
 				makepol(state, pushval, opaque);
 				break;
 			case PT_CLOSE:
-				cleanOpStack(state, opstack, &lenstack, OP_OR /* lowest */);
+				cleanOpStack(state, opstack, &lenstack, OP_OR /* lowest */ );
 				return;
 			case PT_ERR:
 			default:
@@ -514,7 +515,7 @@ makepol(TSQueryParserState state,
 		}
 	}
 
-	cleanOpStack(state, opstack, &lenstack, OP_OR /* lowest */);
+	cleanOpStack(state, opstack, &lenstack, OP_OR /* lowest */ );
 }
 
 static void
@@ -845,8 +846,8 @@ infix(INFIX *in, int parentPriority, bool rightPhraseOp)
 
 		in->curpol++;
 		if (priority < parentPriority ||
-			 /* phrase operator depends on order */
-			 (op == OP_PHRASE && rightPhraseOp))
+		/* phrase operator depends on order */
+			(op == OP_PHRASE && rightPhraseOp))
 		{
 			needParenthesis = true;
 			RESIZEBUF(in, 2);
@@ -916,7 +917,7 @@ tsqueryout(PG_FUNCTION_ARGS)
 	nrm.cur = nrm.buf = (char *) palloc(sizeof(char) * nrm.buflen);
 	*(nrm.cur) = '\0';
 	nrm.op = GETOPERAND(query);
-	infix(&nrm, -1 /* lowest priority */, false);
+	infix(&nrm, -1 /* lowest priority */ , false);
 
 	PG_FREE_IF_COPY(query, 0);
 	PG_RETURN_CSTRING(nrm.buf);
diff --git a/src/backend/utils/adt/tsquery_cleanup.c b/src/backend/utils/adt/tsquery_cleanup.c
index 8c2df73..d9ec8ed 100644
--- a/src/backend/utils/adt/tsquery_cleanup.c
+++ b/src/backend/utils/adt/tsquery_cleanup.c
@@ -406,7 +406,7 @@ normalize_phrase_tree(NODE *node)
 
 	if (node->valnode->qoperator.oper == OP_NOT)
 	{
-		NODE *orignode = node;
+		NODE	   *orignode = node;
 
 		/* eliminate NOT sequence */
 		while (node->valnode->type == QI_OPR &&
@@ -430,8 +430,8 @@ normalize_phrase_tree(NODE *node)
 		node->right = normalize_phrase_tree(node->right);
 
 		/*
-		 * if subtree contains only nodes with higher "priority" then
-		 * we are done. See comment near NODE_PRIORITY()
+		 * if subtree contains only nodes with higher "priority" then we are
+		 * done. See comment near NODE_PRIORITY()
 		 */
 		if (NODE_PRIORITY(node) <= NODE_PRIORITY(node->right) &&
 			NODE_PRIORITY(node) <= NODE_PRIORITY(node->left))
diff --git a/src/backend/utils/adt/tsvector_op.c b/src/backend/utils/adt/tsvector_op.c
index 242b7e1..bd00b5d 100644
--- a/src/backend/utils/adt/tsvector_op.c
+++ b/src/backend/utils/adt/tsvector_op.c
@@ -1389,9 +1389,9 @@ TS_phrase_execute(QueryItem *curitem,
 			return false;
 
 		/*
-		 * if at least one of the operands has no position information,
-		 * then return false. But if TS_EXEC_PHRASE_AS_AND flag is set then
-		 * we return true as it is a AND operation
+		 * if at least one of the operands has no position information, then
+		 * return false. But if TS_EXEC_PHRASE_AS_AND flag is set then we
+		 * return true as it is a AND operation
 		 */
 		if (Ldata.npos == 0 || Rdata.npos == 0)
 			return (flags & TS_EXEC_PHRASE_AS_AND) ? true : false;
@@ -1428,8 +1428,8 @@ TS_phrase_execute(QueryItem *curitem,
 		while (Rpos < Rdata.pos + Rdata.npos)
 		{
 			/*
-			 * We need to check all possible distances, so reset Lpos
-			 * to guranteed not yet satisfied position.
+			 * We need to check all possible distances, so reset Lpos to
+			 * guranteed not yet satisfied position.
 			 */
 			Lpos = LposStart;
 			while (Lpos < Ldata.pos + Ldata.npos)
@@ -1445,8 +1445,8 @@ TS_phrase_execute(QueryItem *curitem,
 						pos_iter++;
 
 						/*
-						 * Set left start position to next, because current one
-						 * could not satisfy distance for any other right
+						 * Set left start position to next, because current
+						 * one could not satisfy distance for any other right
 						 * position
 						 */
 						LposStart = Lpos + 1;
@@ -1455,8 +1455,8 @@ TS_phrase_execute(QueryItem *curitem,
 					else
 					{
 						/*
-						 * We are in the root of the phrase tree and hence
-						 * we don't have to store the resulting positions
+						 * We are in the root of the phrase tree and hence we
+						 * don't have to store the resulting positions
 						 */
 						return true;
 					}
@@ -1464,7 +1464,7 @@ TS_phrase_execute(QueryItem *curitem,
 				}
 				else if (WEP_GETPOS(*Rpos) <= WEP_GETPOS(*Lpos) ||
 						 WEP_GETPOS(*Rpos) - WEP_GETPOS(*Lpos) <
-							curitem->qoperator.distance)
+						 curitem->qoperator.distance)
 				{
 					/*
 					 * Go to the next Rpos, because Lpos is ahead or on less
@@ -1534,9 +1534,10 @@ TS_execute(QueryItem *curitem, void *checkval, uint32 flags,
 				return TS_execute(curitem + 1, checkval, flags, chkcond);
 
 		case OP_PHRASE:
+
 			/*
-			 * do not check TS_EXEC_PHRASE_AS_AND here because chkcond()
-			 * could do something more if it's called from TS_phrase_execute()
+			 * do not check TS_EXEC_PHRASE_AS_AND here because chkcond() could
+			 * do something more if it's called from TS_phrase_execute()
 			 */
 			return TS_phrase_execute(curitem, checkval, flags, NULL, chkcond);
 
diff --git a/src/backend/utils/sort/tuplesort.c b/src/backend/utils/sort/tuplesort.c
index 6756f26..510565c 100644
--- a/src/backend/utils/sort/tuplesort.c
+++ b/src/backend/utils/sort/tuplesort.c
@@ -299,9 +299,9 @@ struct Tuplesortstate
 	 * Function to read a stored tuple from tape back into memory. 'len' is
 	 * the already-read length of the stored tuple.  Create a palloc'd copy,
 	 * initialize tuple/datum1/isnull1 in the target SortTuple struct, and
-	 * decrease state->availMem by the amount of memory space consumed.
-	 * (See batchUsed notes for details on how memory is handled when
-	 * incremental accounting is abandoned.)
+	 * decrease state->availMem by the amount of memory space consumed. (See
+	 * batchUsed notes for details on how memory is handled when incremental
+	 * accounting is abandoned.)
 	 */
 	void		(*readtup) (Tuplesortstate *state, SortTuple *stup,
 										int tapenum, unsigned int len);
@@ -309,8 +309,8 @@ struct Tuplesortstate
 	/*
 	 * Function to move a caller tuple.  This is usually implemented as a
 	 * memmove() shim, but function may also perform additional fix-up of
-	 * caller tuple where needed.  Batch memory support requires the
-	 * movement of caller tuples from one location in memory to another.
+	 * caller tuple where needed.  Batch memory support requires the movement
+	 * of caller tuples from one location in memory to another.
 	 */
 	void		(*movetup) (void *dest, void *src, unsigned int len);
 
diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 4ee10fc..a5c2d09 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -6042,15 +6042,16 @@ getOwnedSeqs(Archive *fout, TableInfo tblinfo[], int numTables)
 		 * We need to dump the components that are being dumped for the table
 		 * and any components which the sequence is explicitly marked with.
 		 *
-		 * We can't simply use the set of components which are being dumped for
-		 * the table as the table might be in an extension (and only the
+		 * We can't simply use the set of components which are being dumped
+		 * for the table as the table might be in an extension (and only the
 		 * non-extension components, eg: ACLs if changed, security labels, and
-		 * policies, are being dumped) while the sequence is not (and therefore
-		 * the definition and other components should also be dumped).
+		 * policies, are being dumped) while the sequence is not (and
+		 * therefore the definition and other components should also be
+		 * dumped).
 		 *
 		 * If the sequence is part of the extension then it should be properly
-		 * marked by checkExtensionMembership() and this will be a no-op as the
-		 * table will be equivalently marked.
+		 * marked by checkExtensionMembership() and this will be a no-op as
+		 * the table will be equivalently marked.
 		 */
 		seqinfo->dobj.dump = seqinfo->dobj.dump | owning_tab->dobj.dump;
 
diff --git a/src/bin/pg_dump/pg_dumpall.c b/src/bin/pg_dump/pg_dumpall.c
index ae49d35..eae891b 100644
--- a/src/bin/pg_dump/pg_dumpall.c
+++ b/src/bin/pg_dump/pg_dumpall.c
@@ -1100,7 +1100,7 @@ dumpTablespaces(PGconn *conn)
 	else if (server_version >= 90200)
 		res = executeQuery(conn, "SELECT oid, spcname, "
 						 "pg_catalog.pg_get_userbyid(spcowner) AS spcowner, "
-						   "pg_catalog.pg_tablespace_location(oid), spcacl, '' as rspcacl, "
+			"pg_catalog.pg_tablespace_location(oid), spcacl, '' as rspcacl, "
 						   "array_to_string(spcoptions, ', '),"
 						"pg_catalog.shobj_description(oid, 'pg_tablespace') "
 						   "FROM pg_catalog.pg_tablespace "
@@ -1345,7 +1345,7 @@ dumpCreateDB(PGconn *conn)
 						   "coalesce(rolname, (select rolname from pg_authid where oid=(select datdba from pg_database where datname='template0'))), "
 						   "pg_encoding_to_char(d.encoding), "
 						   "datcollate, datctype, datfrozenxid, datminmxid, "
-						   "datistemplate, datacl, '' as rdatacl, datconnlimit, "
+					   "datistemplate, datacl, '' as rdatacl, datconnlimit, "
 						   "(SELECT spcname FROM pg_tablespace t WHERE t.oid = d.dattablespace) AS dattablespace "
 			  "FROM pg_database d LEFT JOIN pg_authid u ON (datdba = u.oid) "
 						   "WHERE datallowconn ORDER BY 1");
@@ -1355,7 +1355,7 @@ dumpCreateDB(PGconn *conn)
 						   "coalesce(rolname, (select rolname from pg_authid where oid=(select datdba from pg_database where datname='template0'))), "
 						   "pg_encoding_to_char(d.encoding), "
 					  "datcollate, datctype, datfrozenxid, 0 AS datminmxid, "
-						   "datistemplate, datacl, '' as rdatacl, datconnlimit, "
+					   "datistemplate, datacl, '' as rdatacl, datconnlimit, "
 						   "(SELECT spcname FROM pg_tablespace t WHERE t.oid = d.dattablespace) AS dattablespace "
 			  "FROM pg_database d LEFT JOIN pg_authid u ON (datdba = u.oid) "
 						   "WHERE datallowconn ORDER BY 1");
@@ -1365,7 +1365,7 @@ dumpCreateDB(PGconn *conn)
 						   "coalesce(rolname, (select rolname from pg_authid where oid=(select datdba from pg_database where datname='template0'))), "
 						   "pg_encoding_to_char(d.encoding), "
 						   "null::text AS datcollate, null::text AS datctype, datfrozenxid, 0 AS datminmxid, "
-						   "datistemplate, datacl, '' as rdatacl, datconnlimit, "
+					   "datistemplate, datacl, '' as rdatacl, datconnlimit, "
 						   "(SELECT spcname FROM pg_tablespace t WHERE t.oid = d.dattablespace) AS dattablespace "
 			  "FROM pg_database d LEFT JOIN pg_authid u ON (datdba = u.oid) "
 						   "WHERE datallowconn ORDER BY 1");
@@ -1375,7 +1375,7 @@ dumpCreateDB(PGconn *conn)
 						   "coalesce(usename, (select usename from pg_shadow where usesysid=(select datdba from pg_database where datname='template0'))), "
 						   "pg_encoding_to_char(d.encoding), "
 						   "null::text AS datcollate, null::text AS datctype, datfrozenxid, 0 AS datminmxid, "
-						   "datistemplate, datacl, '' as rdatacl, -1 as datconnlimit, "
+				 "datistemplate, datacl, '' as rdatacl, -1 as datconnlimit, "
 						   "(SELECT spcname FROM pg_tablespace t WHERE t.oid = d.dattablespace) AS dattablespace "
 		   "FROM pg_database d LEFT JOIN pg_shadow u ON (datdba = usesysid) "
 						   "WHERE datallowconn ORDER BY 1");
@@ -1385,7 +1385,7 @@ dumpCreateDB(PGconn *conn)
 						   "coalesce(usename, (select usename from pg_shadow where usesysid=(select datdba from pg_database where datname='template0'))), "
 						   "pg_encoding_to_char(d.encoding), "
 						   "null::text AS datcollate, null::text AS datctype, datfrozenxid, 0 AS datminmxid, "
-						   "datistemplate, datacl, '' as rdatacl, -1 as datconnlimit, "
+				 "datistemplate, datacl, '' as rdatacl, -1 as datconnlimit, "
 						   "'pg_default' AS dattablespace "
 		   "FROM pg_database d LEFT JOIN pg_shadow u ON (datdba = usesysid) "
 						   "WHERE datallowconn ORDER BY 1");
@@ -1397,7 +1397,7 @@ dumpCreateDB(PGconn *conn)
 						   "(select usename from pg_shadow where usesysid=(select datdba from pg_database where datname='template0'))), "
 						   "pg_encoding_to_char(d.encoding), "
 						   "null::text AS datcollate, null::text AS datctype, 0 AS datfrozenxid, 0 AS datminmxid, "
-						   "datistemplate, '' as datacl, '' as rdatacl, -1 as datconnlimit, "
+		   "datistemplate, '' as datacl, '' as rdatacl, -1 as datconnlimit, "
 						   "'pg_default' AS dattablespace "
 						   "FROM pg_database d "
 						   "WHERE datallowconn ORDER BY 1");
@@ -1524,8 +1524,8 @@ dumpCreateDB(PGconn *conn)
 		}
 
 		if (!skip_acls &&
-			!buildACLCommands(fdbname, NULL, "DATABASE", dbacl, rdbacl, dbowner,
-							  "", server_version, buf))
+		 !buildACLCommands(fdbname, NULL, "DATABASE", dbacl, rdbacl, dbowner,
+						   "", server_version, buf))
 		{
 			fprintf(stderr, _("%s: could not parse ACL list (%s) for database \"%s\"\n"),
 					progname, dbacl, fdbname);
diff --git a/src/include/commands/async.h b/src/include/commands/async.h
index 95559df..93cb92a 100644
--- a/src/include/commands/async.h
+++ b/src/include/commands/async.h
@@ -29,8 +29,8 @@ extern Size AsyncShmemSize(void);
 extern void AsyncShmemInit(void);
 
 extern void NotifyMyFrontEnd(const char *channel,
-							 const char *payload,
-							 int32 srcPid);
+				 const char *payload,
+				 int32 srcPid);
 
 /* notify-related SQL statements */
 extern void Async_Notify(const char *channel, const char *payload);
diff --git a/src/include/tsearch/ts_type.h b/src/include/tsearch/ts_type.h
index d1f4114..5062aaa 100644
--- a/src/include/tsearch/ts_type.h
+++ b/src/include/tsearch/ts_type.h
@@ -221,7 +221,7 @@ typedef struct
 #define OP_NOT			1
 #define OP_AND			2
 #define OP_OR			3
-#define OP_PHRASE		4  /* highest code, tsquery_cleanup.c */
+#define OP_PHRASE		4		/* highest code, tsquery_cleanup.c */
 #define OP_COUNT		4
 
 extern const int tsearch_op_priority[OP_COUNT];
diff --git a/src/pl/plpython/plpy_plpymodule.c b/src/pl/plpython/plpy_plpymodule.c
index 4dd7949..f520e77 100644
--- a/src/pl/plpython/plpy_plpymodule.c
+++ b/src/pl/plpython/plpy_plpymodule.c
@@ -472,7 +472,7 @@ PLy_output(volatile int level, PyObject *self, PyObject *args, PyObject *kw)
 			else
 			{
 				PLy_exception_set(PyExc_TypeError,
-								  "'%s' is an invalid keyword argument for this function",
+					 "'%s' is an invalid keyword argument for this function",
 								  keyword);
 				return NULL;
 			}
@@ -528,7 +528,7 @@ PLy_output(volatile int level, PyObject *self, PyObject *args, PyObject *kw)
 				 (column_name != NULL) ?
 				 err_generic_string(PG_DIAG_COLUMN_NAME, column_name) : 0,
 				 (constraint_name != NULL) ?
-				 err_generic_string(PG_DIAG_CONSTRAINT_NAME, constraint_name) : 0,
+			err_generic_string(PG_DIAG_CONSTRAINT_NAME, constraint_name) : 0,
 				 (datatype_name != NULL) ?
 				 err_generic_string(PG_DIAG_DATATYPE_NAME, datatype_name) : 0,
 				 (table_name != NULL) ?
diff --git a/src/tools/pgindent/typedefs.list b/src/tools/pgindent/typedefs.list
index 0c61fc2..eb5ef4f 100644
--- a/src/tools/pgindent/typedefs.list
+++ b/src/tools/pgindent/typedefs.list
@@ -40,6 +40,7 @@ AggClauseCosts
 AggHashEntry
 AggInfo
 AggPath
+AggSplit
 AggState
 AggStatePerAgg
 AggStatePerGroup
@@ -123,6 +124,7 @@ ArrayMetaState
 ArrayParseState
 ArrayRef
 ArrayRefExprState
+ArrayRemapInfo
 ArrayType
 AsyncQueueControl
 AsyncQueueEntry
@@ -612,6 +614,8 @@ FmgrBuiltin
 FmgrHookEventType
 FmgrInfo
 ForeignDataWrapper
+ForeignKeyCacheInfo
+ForeignKeyOptInfo
 ForeignPath
 ForeignScan
 ForeignScanState
@@ -1239,6 +1243,7 @@ OpFamilyMember
 OpFamilyOpFuncGroup
 OpclassInfo
 Operator
+OperatorElement
 OpfamilyInfo
 OprCacheEntry
 OprCacheKey
@@ -1456,7 +1461,6 @@ ParsedText
 ParsedWord
 ParserSetupHook
 ParserState
-PartialAggType
 Path
 PathClauseUsage
 PathCostComparison
@@ -1651,6 +1655,7 @@ RangeBox
 RangeFunction
 RangeIOData
 RangeQueryClause
+RangeRemapInfo
 RangeSubselect
 RangeTableSample
 RangeTblEntry
@@ -1671,7 +1676,8 @@ RecheckForeignScan_function
 RecordCacheEntry
 RecordCompareData
 RecordIOData
-RecordTypemodMap
+RecordRemapInfo
+RecordTypmodMap
 RecoveryTargetAction
 RecoveryTargetType
 RectBox
@@ -1708,8 +1714,6 @@ RelfilenodeMapEntry
 RelfilenodeMapKey
 Relids
 RelocationBufferInfo
-RemapClass
-RemapInfo
 RenameStmt
 ReopenPtr
 ReorderBuffer
@@ -2123,6 +2127,8 @@ TupleHashEntryData
 TupleHashIterator
 TupleHashTable
 TupleQueueReader
+TupleRemapClass
+TupleRemapInfo
 TupleTableSlot
 Tuplesortstate
 Tuplestorestate
@@ -2353,6 +2359,7 @@ cashKEY
 celt
 cfp
 check_agg_arguments_context
+check_function_callback
 check_network_data
 check_object_relabel_type
 check_password_hook_type
@@ -2374,7 +2381,6 @@ core_yy_extra_type
 core_yyscan_t
 corrupt_items
 cost_qual_eval_context
-count_agg_clauses_context
 create_upper_paths_hook_type
 createdb_failure_params
 crosstab_HashEnt
@@ -2452,6 +2458,7 @@ generate_series_numeric_fctx
 generate_series_timestamp_fctx
 generate_series_timestamptz_fctx
 generate_subscripts_fctx
+get_agg_clause_costs_context
 get_attavgwidth_hook_type
 get_index_stats_hook_type
 get_relation_info_hook_type
@@ -2580,7 +2587,6 @@ pairingheap_comparator
 pairingheap_node
 parallel_worker_main_type
 parse_error_callback_arg
-partial_agg_context
 pcolor
 pendingPosition
 pgParameterStatus
@@ -2839,6 +2845,7 @@ vbits
 walrcv_connect_type
 walrcv_disconnect_type
 walrcv_endstreaming_type
+walrcv_get_conninfo_type
 walrcv_identify_system_type
 walrcv_readtimelinehistoryfile_type
 walrcv_receive_type
